import { BaseSecurityInPort } from "../BaseSecurityInPort";
import SetNominalValueRequest from "../../request/security/operations/nominalValue/SetNominalValueRequest";
import GetNominalValueRequest from "../../request/security/operations/nominalValue/GetNominalValueRequest";
import GetNominalValueDecimalsRequest from "../../request/security/operations/nominalValue/GetNominalValueDecimalsRequest";
export interface ISecurityInPortNominalValue {
    setNominalValue(request: SetNominalValueRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
    getNominalValue(request: GetNominalValueRequest): Promise<string>;
    getNominalValueDecimals(request: GetNominalValueDecimalsRequest): Promise<number>;
}
export declare class SecurityInPortNominalValue extends BaseSecurityInPort implements ISecurityInPortNominalValue {
    setNominalValue(request: SetNominalValueRequest): Promise<{
        payload: boolean;
        transactionId: string;
    }>;
    getNominalValue(request: GetNominalValueRequest): Promise<string>;
    getNominalValueDecimals(request: GetNominalValueDecimalsRequest): Promise<number>;
}
